Subject: Re: [PATCH] sr9700: improve packet length sanity check

From: Jakub Kicinski <[email-masked]>
Date: Mon, 18 Jul 2022 20:07:13 -0700

On Thu, 14 Jul 2022 10:21:34 -0300 Thadeu Lima de Souza Cascardo wrote:
> The packet format includes a 3 byte headers and a 4 byte CRC. Account for
> that when checking the given length is not larger than the skb length.

Please describe in detail the issue you're fixing. What will happen if
we don't include SR_RX_OVERHEAD in the check.

> Signed-off-by: Thadeu Lima de Souza Cascardo <[email-masked]>
> Fixes: e9da0b56fe27 ("sr9700: sanity check for packet length")